Skip to main content

Pieces API

List available pieces (integrations) and their triggers and actions.

List Pieces

Retrieve all available pieces.

GET /api/v1/pieces

Query Parameters:

ParameterTypeDescription
limitintegerMax results per page (default: 50, max: 200)
cursorstringPagination cursor
searchstringSearch by piece name
categorystringFilter by category (e.g., crm, email, messaging)

Example:

curl -X GET "https://app.onflowstack.com/api/v1/pieces?search=gmail&limit=5" \
-H "Authorization: Bearer YOUR_API_KEY"

Response:

{
"data": [
{
"name": "@activepieces/piece-gmail",
"displayName": "Gmail",
"description": "Send and receive emails via Gmail",
"logoUrl": "https://cdn.activepieces.com/pieces/gmail.png",
"version": "0.12.3",
"categories": ["email", "communication"],
"auth": {
"type": "OAUTH2",
"provider": "google"
},
"triggers": [
{
"name": "new_email",
"displayName": "New Email",
"description": "Triggers when a new email is received"
},
{
"name": "new_labeled_email",
"displayName": "New Labeled Email",
"description": "Triggers when an email receives a specific label"
}
],
"actions": [
{
"name": "send_email",
"displayName": "Send Email",
"description": "Send an email from your Gmail account"
},
{
"name": "create_draft",
"displayName": "Create Draft",
"description": "Create a draft email"
},
{
"name": "get_email",
"displayName": "Get Email",
"description": "Retrieve a specific email by ID"
}
]
}
],
"cursor": null,
"hasMore": false
}

Get Piece Details

Retrieve detailed information about a specific piece, including all triggers, actions, and their input schemas.

GET /api/v1/pieces/{pieceName}

Example:

curl -X GET "https://app.onflowstack.com/api/v1/pieces/@activepieces/piece-gmail" \
-H "Authorization: Bearer YOUR_API_KEY"

Piece Categories

CategoryDescriptionCount
crmCustomer Relationship Management25+
emailEmail services15+
messagingChat and messaging20+
spreadsheetsSpreadsheets and databases15+
project-managementTask and project tracking30+
dev-toolsDeveloper tools and CI/CD25+
paymentsPayment processing10+
storageFile storage and management15+
marketingMarketing automation20+
aiAI and machine learning15+
communicationVoice, SMS, video10+
otherMiscellaneous100+